import { jsx } from "react/jsx-runtime";
import { TokenCARBON as TokenCARBON$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenCARBON = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "CARBON", "data-name": "TokenCARBON", ...props, children: /* @__PURE__ */ jsx(TokenCARBON$1, { variant }) });
  }
);
TokenCARBON.displayName = "TokenCARBON";
Object.assign(TokenCARBON, { isGdsIcon: true });
export {
  TokenCARBON
};
